Skip to main content
POST
Contract Status Update Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_uuid
string
required

UUID of the contract

Body

application/json

Input schema for updating contract status.

status
enum<string>
required

New contract status. Valid values: Draft, Under Review, Ready for Review, Accepted, Needs Action, Cancelled, Expired

Available options:
Draft,
Under Review,
Ready for Review,
Accepted,
Needs Action,
Cancelled,
Expired
Example:

"Accepted"

Response

Contract status updated successfully

Detailed contract information with plan items.

contract_status
string
required

The current status of the contract

Example:

"accepted"

customer
CustomerBasicOut · object | null

Customer information

plan_items
PlanItemOut · object[]

List of plan items associated with this contract

file_url
string | null

URL to download the contract PDF

Example:

"https://api.justpaid.io/files/contract.pdf"

uuid
string<uuid>
title
string | null
Maximum string length: 255
contract_start_date
string<date> | null
contract_end_date
string<date> | null
contract_amount
string | null
currency
string | null
default:USD
Maximum string length: 3
payment_terms
string | null
Maximum string length: 60
discounted_amount
string | null
discount_percent
string | null
is_evergreen
boolean
default:false
invoice_start_date
string<date> | null
preferred_invoice_day
integer | null
created_at
string<date-time>
contract_summary
string | null